net.fortuna.ical4j.data

## Interface ContentHandler

    public interface ContentHandler

     $Id$ [Nov 5,
     2004]

Implementors provide functionality applicable during the parsing of an iCalendar data stream (e.g. building an object model).

Author:
  Ben Fortuna

### Method Summary

Methods
`void` `endCalendar()` Triggers the end of handling a calendar.
`void` `endComponent(String name)` Triggers the end of handling a component.
`void` `endProperty(String name)` Triggers the end of handling a property.
`void` `parameter(String name, String value)` Triggers the handling of a parameter.
`void` `propertyValue(String value)` Triggers the handling of a property value.
`void` `startCalendar()` Triggers the start of handling a calendar.
`void` `startComponent(String name)` Triggers the start of handling a component.
`void` `startProperty(String name)` Triggers the start of handling a property.

### Method Detail

#### startCalendar

    void startCalendar()

Triggers the start of handling a calendar.

#### endCalendar

    void endCalendar()

Triggers the end of handling a calendar.

#### startComponent

    void startComponent(String name)

Triggers the start of handling a component.

Parameters:
  `name` - a component name

#### endComponent

    void endComponent(String name)

Triggers the end of handling a component.

Parameters:
  `name` - a component name

#### startProperty

    void startProperty(String name)

Triggers the start of handling a property.

Parameters:
  `name` - a property name

#### propertyValue

    void propertyValue(String value)
                       throws URISyntaxException,
                              ParseException,
                              IOException

Triggers the handling of a property value.

Parameters:
  `value` - a property value
Throws:
  `URISyntaxException` - where the property value is not a valid URI for applicable properties
  `ParseException` - where the date value cannot be parsed for applicable properties
  `IOException` - where data cannot be read for applicable properties

#### endProperty

    void endProperty(String name)

Triggers the end of handling a property.

Parameters:
  `name` - a property name

#### parameter

    void parameter(String name,
                 String value)
                   throws URISyntaxException

Triggers the handling of a parameter.

Parameters:
  `name` - a parameter name
  `value` - a parameter value
Throws:
  `URISyntaxException` - where the parameter value is not a valid URI for applicable parameters